Package org.gradle.jvm.application.scripts

## Interface ScriptGenerator

- All Known Subinterfaces:
    `TemplateBasedScriptGenerator`

      public interface ScriptGenerator

  Generates a script to start a JVM application.
  See Also:
    `TemplateBasedScriptGenerator`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `generateScript​(JavaAppStartScriptGenerationDetails details, Writer destination)` | Generate the script.

- - ### Method Detail

    - #### generateScript

          void generateScript​(JavaAppStartScriptGenerationDetails details,
                              Writer destination)

      Generate the script.

      Implementations should not close the given writer. It is the responsibility of the caller to close the stream.

      Parameters:
        `details` - the application details
        `destination` - the script destination